WarWatcher.WarInfo (Tomcat API Documentation)
Keywords: org.apache.catalina.ha.deploy.WarWatcher.WarInfo class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ha.deploy
Class WarWatcher.WarInfo

    java.lang.Object
      org.apache.catalina.ha.deploy.WarWatcher.WarInfo

Enclosing class:
  WarWatcher

    protected class WarWatcher.WarInfo

extends java.lang.Object

File information on existing WAR files

Field Summary
`protected long` | `lastChecked`
`protected long` | `lastState`
`protected java.io.File` | `war`

Constructor Summary
`WarWatcher.WarInfo(java.io.File war)`

Method Summary
`int` | `check()` Returns 1 if the file has been added/modified, 0 if the file is unchanged and -1 if the file has been removed
`boolean` | `equals(java.lang.Object other)`
`boolean` | `exists()`
`java.io.File` | `getWar()`
`int` | `hashCode()`
`boolean` | `modified()`
`protected void` | `setLastState(int lastState)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### war

    protected java.io.File war

### lastChecked

    protected long lastChecked

### lastState

    protected long lastState

Constructor Detail

### WarWatcher.WarInfo

    public WarWatcher.WarInfo(java.io.File war)

Method Detail

### modified

    public boolean modified()

### exists

    public boolean exists()

### check

    public int check()

  Returns 1 if the file has been added/modified, 0 if the file is unchanged and -1 if the file has been removed

  Returns:
    int 1=file added; 0=unchanged; -1=file removed

### getWar

    public java.io.File getWar()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### setLastState

    protected void setLastState(int lastState)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.